redis-cluster:
  enabled: false

redis:
  enabled: false

postgresql:
  enabled: false

postgresql-ha:
  enabled: false

persistence:
  enabled: true
  size: 5Gi

test:
  enabled: false

deployment:
  env:
    - name: SSL_CERT_FILE
      value: /etc/elasticsearch/elasticsearch.cer

extraVolumeMounts:
  - mountPath: /etc/elasticsearch
    name: elasticsearch-cert-volume
    readOnly: true

extraVolumes:
  - name: elasticsearch-cert-volume
    configMap:
      defaultMode: 420
      name: elasticsearch-cert

gitea:
  additionalConfigFromEnvs:
    - name: FORGEJO__storage__MINIO_ACCESS_KEY_ID
      valueFrom:
        secretKeyRef:
          name: forgejo-cloud-credentials
          key: access-key
    - name: FORGEJO__storage__MINIO_SECRET_ACCESS_KEY
      valueFrom:
        secretKeyRef:
          name: forgejo-cloud-credentials
          key: secret-key
    - name: FORGEJO__queue__CONN_STR
      valueFrom:
        secretKeyRef:
          name: redis-forgejo-cloud-credentials
          key: connection-string
    - name: FORGEJO__session__PROVIDER_CONFIG
      valueFrom:
        secretKeyRef:
          name: redis-forgejo-cloud-credentials
          key: connection-string
    - name: FORGEJO__cache__HOST
      valueFrom:
        secretKeyRef:
          name: redis-forgejo-cloud-credentials
          key: connection-string
    - name: FORGEJO__database__HOST
      valueFrom:
        secretKeyRef:
          name: postgres-forgejo-cloud-credentials
          key: host_port
    - name: FORGEJO__database__NAME
      valueFrom:
        secretKeyRef:
          name: postgres-forgejo-cloud-credentials
          key: database
    - name: FORGEJO__database__USER
      valueFrom:
        secretKeyRef:
          name: postgres-forgejo-cloud-credentials
          key: username
    - name: FORGEJO__database__PASSWD
      valueFrom:
        secretKeyRef:
          name: postgres-forgejo-cloud-credentials
          key: password
    - name: FORGEJO__indexer__ISSUE_INDEXER_CONN_STR
      valueFrom:
        secretKeyRef:
          name: elasticsearch-cloud-credentials
          key: connection-string

  admin:
    existingSecret: gitea-credential

  config:
    indexer:
      ISSUE_INDEXER_ENABLED: true
      ISSUE_INDEXER_TYPE: elasticsearch
      # TODO next
      REPO_INDEXER_ENABLED: false
      # REPO_INDEXER_TYPE: meilisearch # not yet working

    storage:
      MINIO_ENDPOINT: obs.eu-de.otc.t-systems.com:443
      STORAGE_TYPE: minio
      MINIO_LOCATION: eu-de
      MINIO_BUCKET: edp-forgejo-dns-test
      MINIO_USE_SSL: true

    queue:
      TYPE: redis

    session:
      PROVIDER: redis

    cache:
      ENABLED: true
      ADAPTER: redis

    service:
      DISABLE_REGISTRATION: true

    other:
      SHOW_FOOTER_VERSION: false
      SHOW_FOOTER_TEMPLATE_LOAD_TIME: false

    database:
      DB_TYPE: postgres

    server:
      DOMAIN: 'gitea.dns-test.t09.de'
      ROOT_URL: 'https://gitea.dns-test.t09.de:443'

    mailer:
      ENABLED: true
      FROM: forgejo@gitea.dns-test.t09.de
      PROTOCOL: smtp
      SMTP_ADDR: mailhog.mailhog.svc.cluster.local
      SMTP_PORT: 1025

service:
  ssh:
    type: NodePort
    nodePort: 32222
    externalTrafficPolicy: Local

image:
  pullPolicy: "IfNotPresent"
  # Overrides the image tag whose default is the chart appVersion.
  #tag: "8.0.3"
  # Adds -rootless suffix to image name
  rootless: true

forgejo:
  runner:
    enabled: true
    image:
      tag: latest
    # replicas: 3
    config:
      runner:
        labels:
          - docker:docker://node:16-bullseye
          - self-hosted:docker://ghcr.io/catthehacker/ubuntu:act-22.04
          - ubuntu-22.04:docker://ghcr.io/catthehacker/ubuntu:act-22.04
          - ubuntu-latest:docker://ghcr.io/catthehacker/ubuntu:act-22.04
